Package io.github.jdbcx.driver

# Class ParsedQuery

java.lang.Object
io.github.jdbcx.driver.ParsedQuery

public final class ParsedQuery extends Object

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`List<ExecutableBlock>`
`getExecutableBlocks()`
`List<String>`
`getStaticParts()`
`int`
`hashCode()`
`boolean`
`isDirectQuery()`
`boolean`
`isStaticQuery()`
Checks whether this parsed query is static or not.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getStaticParts

public List<String> getStaticParts()

### getExecutableBlocks

public List<ExecutableBlock> getExecutableBlocks()

### isDirectQuery

public boolean isDirectQuery()

### isStaticQuery

public boolean isStaticQuery()
Checks whether this parsed query is static or not. A static query is composed of zero or more static parts, and zero or more executable blocks with no output.

Returns:
  true if the parsed query is static; false otherwise

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`